FileServiceProperties Class
The properties of File services in storage account.
Variables are only populated by the server, and will be ignored when sending a request.
- Inheritance
-
azure.mgmt.storage.v2021_06_01.models._models_py3.ResourceFileServiceProperties
Constructor
FileServiceProperties(*, cors: Optional[azure.mgmt.storage.v2021_06_01.models._models_py3.CorsRules] = None, share_delete_retention_policy: Optional[azure.mgmt.storage.v2021_06_01.models._models_py3.DeleteRetentionPolicy] = None, protocol_settings: Optional[azure.mgmt.storage.v2021_06_01.models._models_py3.ProtocolSettings] = None, **kwargs)
Variables
- id
- str
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}.
- name
- str
The name of the resource.
- type
- str
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts".
- sku
- Sku
Sku name and tier.
- cors
- CorsRules
Specifies CORS rules for the File service. You can include up to five CorsRule elements in the request. If no CorsRule elements are included in the request body, all CORS rules will be deleted, and CORS will be disabled for the File service.
- share_delete_retention_policy
- DeleteRetentionPolicy
The file service properties for share soft delete.
- protocol_settings
- ProtocolSettings
Protocol settings for file service.
Feedback
Submit and view feedback for